﻿using System.Collections.ObjectModel;
using System.Windows.Controls;

namespace XamTileManagerScrollbar
{
    /// <summary>
    ///     Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class UserControl1 : UserControl
    {
        public UserControl1()
        {
            InitializeComponent();
        }

        public void LoadData()
        {
            ObservableCollection<EmotionExpression> coll = new ObservableCollection<EmotionExpression>();
            for (int i = 0; i <= 8000; i++)
            {
                coll.Add(new EmotionExpression()
                {
                    UITileColor = "Blue",
                    Name = coll.Count.ToString(),
                    IsTileMaximized = true,
                    ImageFile = "pack://application:,,,/XamTileManagerScrollbar;component/image.png"
                });
            }

            xamTileManager1.ItemsSource = coll;
        }
    }
}